#include "main.h"

////////////////
// Fonctions: //
////////////////

// Fonction principale:
int main(int argc, char**argv)
{
	char Texte[LONGUEUR_MAX];
	jeu Jeu;
	options Options;
	printf("################################################\n");
	printf("# Trembler de peur 4 - Multijoueur             #\n");
	printf("# par d6r27-h59p                               #\n");
	printf("# tapez aide pour avoir la liste des commandes #\n");
	printf("# tapez options avant de commencer             #\n");
	printf("# ou start pour lancer le jeu                  #\n");
	printf("################################################\n\n");

	int cmd[NB_ARGUMENT_MAX+2]; // +2 pour la commande et la fin
	do
	{
		ObtenirCmd(cmd); // on recupre la commande
		switch (cmd[0]) // on switch la commande
		{
		case CMD_AIDE:
			AfficheAide();
			break;

		case CMD_INCONNUE: // si elle est inconnue on affiche un message d'erreur
			FermerLesThreads();
			printf("Erreur: commande inconnue\n");
			break;

		case CMD_QUITTER:
			FermerLesThreads();
			break;

		case CMD_START:
			int NbErreur;
			NbErreur=Jeu.Initialisation();			
			if (NbErreur>=0)			
				printf("\n\t%d erreurs lors de l'initialisation\n",NbErreur);			
			else
			{
				printf("Erreur: l'initialisation a deja ete faite\n");
				printf("Veuillez relancer le jeu pour reinitialiser\n");
			}
			break;

		case CMD_LISTE_MAP:
			Jeu.AfficheListeMap();
			break;

		case CMD_LISTE_TEXTURE:
			Jeu.AfficheListeTextures();
			break;

		case CMD_AFFICHE_MAP:
			Jeu.TesterMap(cmd[1]);
			break;

		case CMD_OPTION:
			if (cmd[1]==1)
				Options.ChargeOptionsParDefaut();
			else
				Options.ModifieOptions();
			break;

		case CMD_DIRE:
			printf("Votre texte:");
			cin.getline(Texte,LONGUEUR_MAX);
			Jeu.Dire(Texte);
			break;

		case CMD_EXPULSE:
			if ((cmd[1]<0)||(cmd[1]>CLIENT_MAX-1))
				printf("Erreur: Le numero du joueur doit etre compris entre 0 et %d",CLIENT_MAX-1);
			else
				Jeu.Expulser(cmd[1]);
			break;

		case CMD_SCORE:
			Jeu.AfficherScore();
			break;

		case CMD_CHARGE_MAP:
			Jeu.ChargeMap(cmd[1]);			
			break;

		case CMD_RESET:
			Jeu.ResetScore();
			break;

		default:
			printf("erreur: commande inconnue\n\n");
			break;
		}
	}while(cmd[0]!=CMD_QUITTER);
	return 0;
}

void FermerLesThreads()
{
	CloseHandle(FenetreMain);
}