#ifndef __EKAUQM_OPTION__
#define __EKAUQM_OPTION__

#include "includes.h"
#include "constantes.h"

////////////////////////////////
// Definitions de constantes: //
////////////////////////////////

// Nom du fichier
#define OPTIONS_FICHIER_NOM	"options"
#define OPTIONS_PSEUDO_MAX	32

// options par defauts::
#define OPTIONS_DEFAUT_FENETRE_LARGEUR	640
#define OPTIONS_DEFAUT_FENETRE_HAUTEUR	480
#define OPTIONS_DEFAUT_FENETRE_FPS_MAX	300
#define OPTIONS_DEFAUT_VISIBILITE		100

#define OPTIONS_DEFAUT_BROUILLARD		1
#define OPTIONS_DEFAUT_SENSIBILITE_X	100
#define OPTIONS_DEFAUT_SENSIBILITE_Y	100

#define OPTIONS_DEFAUT_PSEUDO			"noob"
#define OPTIONS_DEFAUT_COULEUR			0

///////////////////////////////
// Definitions de fonctions: //
///////////////////////////////

int ChargeInt(HANDLE Fichier,int *Variable);
int EnregistreInt(HANDLE Fichier,int Variable);

////////////////////////////////
// Definitions de structures: //
////////////////////////////////

struct options
{
	int LargeurFenetre;
	int HauteurFenetre;
	int FpsMax;
	int Visibilite;

	int Brouillard;
	int SensibiliteX;
	int SensibiliteY;

	int SonPorte;
	int AmeliorationFluidite;

	char Pseudo[OPTIONS_PSEUDO_MAX];
	int	Couleur;

	int ChargeOptions();
	int ChargeOptionsParDefaut();
	int EnregistreOptions();
	int ModifieOptions();
};


#endif
