#ifndef __EKAUQM_SCRIPT__
#define __EKAUQM_SCRIPT__

#include "includes.h"
#include "constantes.h"

////////////////////////////////
// Definitions de constantes: //
////////////////////////////////

#define BALISE_INCOMPLETE		0 // en fait il aurait fallut invers BALISE_FIN et BALISE_INCOMPLETE...
#define BALISE_ERREUR			1
#define BALISE_AUCUNE			2
#define BALISE_FIN				3
#define BALISE_APPARITION		4
#define BALISE_PLAFON			5
#define BALISE_MUR				6
#define BALISE_PORTE			7
#define BALISE_CAISSE			8
#define BALISE_TELEPORTEUR		9

#define BALISE_TAILLE_MAX		32
#define NOMBRE_TAILLE_MAX		32

#define PARAMETRE_INT				0
#define PARAMETRE_INT_INT			1
#define PARAMETRE_CHAR_INT_INT_INT	2

#define TEXTURE_NUMERO		0
#define TEXTURE_REPETITION	1
#define TEXTURE_PARAMETRE	2

///////////////////////////////
// Definitions de fonctions: //
///////////////////////////////

int Lister(char* Nom,char* Stockage, int* NombreDeFichier);
char* OuvrirFichier(char *Nom,unsigned long *Taille);
int ObtenirBalise(char* Texte,unsigned long &ConteurActuel,unsigned long ConteurMax);
int ObtenirParametre(int Type, char* Texte, unsigned long  &ConteurActuel, unsigned long  ConteurMax,unsigned int* texture, char &C, int* Nombres);
int ObtenirNombre(char* Texte,unsigned long &ConteurActuel,unsigned long ConteurMax);
int ObtenirNombreTexture(char* Texte,unsigned long &ConteurActuel,unsigned long ConteurMax);
int ObtenirRepetitionTexture(char* Texte,unsigned long &ConteurActuel,unsigned long ConteurMax);

#endif