#include "son.h"

/////////////
// Classes //
/////////////

// Son:

// initialisation:
void son::Initialisation()
{
	printf("Initialisation de FMOD\n");
	NbSon=0;
	FSOUND_Init(44100, 32, 0);	
}

void son::AjouterSon(char *Fichier)
{	
	printf("%s\n",Fichier);
	Sons[NbSon]=FSOUND_Sample_Load(FSOUND_FREE,Fichier,0,0,0);
	if (Sons[NbSon]==NULL)
		printf("Erreur lors du chargement de %s\n",Fichier);
	NbSon++;
}

void son::JouerSon(int N)
{
	FSOUND_PlaySound(FSOUND_FREE, Sons[N]);
}

void son::Quitter()
{
	int i;
	for (i=0;i<NbSon;i++)
		FSOUND_Sample_Free(Sons[i]);
	FSOUND_Close();
}