#ifndef __EKAUQM_SON__
#define __EKAUQM_SON__

#include "includes.h"
#include "constantes.h"

////////////////////////////////
// Definitions de constantes: //
////////////////////////////////

#define NOMBRE_SON_MAX		100

#define SON_TIR_NB			0
#define SON_TIR_NOM			"donnees\\son\\pan.wav"
#define SON_TOUCHE_NB		1
#define SON_TOUCHE_NOM		"donnees\\son\\touche.wav"
#define SON_MAL_NB			2
#define SON_MAL_NOM			"donnees\\son\\mal.wav"
#define SON_TELEPORTEUR_NB	3
#define SON_TELEPORTEUR_NOM	"donnees\\son\\teleporteur.wav"
#define SON_PORTE_OUVRE_NB	4
#define SON_PORTE_OUVRE_NOM	"donnees\\son\\ouvre.wav"
#define SON_PORTE_FERME_NB	5
#define SON_PORTE_FERME_NOM	"donnees\\son\\ferme.wav"
#define SON_CAISSE_NB		6
#define SON_CAISSE_NOM		"donnees\\son\\caisse.wav"

/////////////////////////////
// Definitions de classes: //
/////////////////////////////

class son
{
private:
	int NbSon;
	FSOUND_SAMPLE* Sons[NOMBRE_SON_MAX];

public:
	void Initialisation();
	void AjouterSon(char *Fichier);
	void JouerSon(int N);
	void Quitter();
};

#endif