#ifndef __EKAUQM_TEXTE__
#define __EKAUQM_TEXTE__

#include "includes.h"
#include "constantes.h"
#include "temps.h"

////////////////////////////////
// Definitions de constantes: //
////////////////////////////////

#define TEXTE_CAR_MAX			256
#define TEXTE_NOM_TEXTURE			"donnees\\police\\police.tga"
#define Blend_ON				{glEnable(GL_BLEND);}
#define Blend_OFF				{glDisable(GL_BLEND);}
#define ZBUFFER_ON				{glDisable(GL_DEPTH_TEST);}
#define ZBUFFER_OFF				{glEnable(GL_DEPTH_TEST);}

#define DIRE_TAILLE_MAX				40
#define DISTANCE_AFFICHAGE_NOM_C	64*UNITE*UNITE	

#define AFFICHAGE_NOM_X				500
#define AFFICHAGE_NOM_Y				200
#define AFFICHAGE_NOM_Y_DECALAGE	15	
#define AFFICHAGE_NOM_COULEUR		"blue"
#define AFFICHAGE_NOM_TAILLE		1
		

#define CONSOLE_X				10
#define CONSOLE_Y				30
#define CONSOLE_DIRE_X			10
#define CONSOLE_DIRE_Y			10
#define CONSOLE_ECART_VERTICAL	20
#define	CONSOLE_LONGUEUR_MAX	256
#define CONSOLE_NOMBRE_MAX		15
#define CONSOLE_TAILLE			1.3
#define CONSOLE_DESACTIVE		-1
#define CONSOLE_TEMPS			5000
#define CONSOLE_COULEUR			"white"

///////////////////////////////
// Definitions de fonctions: //
///////////////////////////////

void ReglageAvantTexte();
void ReglageApresTexte();
void InitialiseTexte(GLuint T);
void AfficheTexte(int x, int y, char *color, double size, const char *string, ...);
bool AffichageNom(double PosX,double PosY,double Angle,double X,double Y);
 
////////////////////////////
// Definition de classes: //
////////////////////////////

class console
{
private:
	char Texte[CONSOLE_NOMBRE_MAX][CONSOLE_LONGUEUR_MAX];
	int TextePosition[CONSOLE_NOMBRE_MAX];
	int TexteTemps[CONSOLE_NOMBRE_MAX];
	int Conteur;
	temps TempsPasse;

	char TexteDire[CONSOLE_LONGUEUR_MAX];
	int DirePosition;
	bool Dire;
	 
public:
	void AfficheConsole();
	void EnvoieConsole(const char *LeTexte,...);
	void DireCommencer();
	void DireAjouterCaractere(char Caractere);
	void DireEnleverCaractere();
	char* DireFinir();
	void Initialise();
};

#endif




