#ifndef __EKAUQM_JEU__
#define __EKAUQM_JEU__

#include "includes.h"
#include "constantes.h"
#include "sdlglutils.h"
#include "map.h"
#include "main.h"
#include "option.h"
#include "script.h"
#include "fenetre.h"
#include "reseau.h"

///////////////////////////////
// Definitions de variables: //
///////////////////////////////

/////////////////////////////
// Definitions de classes: //
/////////////////////////////

class jeu
{
private:
	// Variables:
	char ListeDesMap[LISTE_NOMBRE_MAX][LISTE_NOM_TAILLE_MAX];
	options Options;
	int NombreDeMap;
	int InitialisationFaite;

	map Map;	
	reseau Reseau;

	// Fonctions:	
	int InitialisationOpenGL();
	int InitialisationMap();
	int InitialisationConnection();
	int InitialisationDiver();

public:	
	// Fonctions:
	jeu();
	int Initialisation();
	void TesterMap(int num);
	void AfficheListeMap();
	void AfficheListeTextures();
	void Dire(char *Texte);
	void Expulser(int Num);
	void AfficherScore();
	void ChargeMap(int N);
	void ResetScore();
};

#endif