#ifndef __EKAUQM_POSITION__
#define __EKAUQM_POSITION__

#include "includes.h"
#include "constantes.h"
#include "perso.h"
#include "reseau.h"

///////////////////////////////
// Definitions de constantes //
///////////////////////////////

#define POSITION_MAX		50
#define ACTION				( (Touches[0])||(Touches[1])||(Touches[2])||(Touches[3]) )
#define SEUIL_DECALAGE		350
#define PERIODE_REMISE		15000		

////////////////////////////////
// Definitions de structures: //
////////////////////////////////

// Les position a metre ajour:
struct position
{
	double X;
	double Y;
	bool Touches[4];
	double Angle;
	double AngleV;
	int TpsRestant;
	int Conteur;
};

/////////////////////////////
// Definitions de classes: //
/////////////////////////////

class gestionposition
{	
	position Positions[CLIENT_MAX+1][POSITION_MAX];
	int ConteurPosition[CLIENT_MAX+1];
	int ConteurPositionTotal;
	int Attente;
	int Decalage[CLIENT_MAX+1];
	bool Action[CLIENT_MAX+1];
	void AjouterPosition(int ms,int ID,double X,double Y,double Angle,double AngleV,bool* Touches);

public:
	void Initialisation();
	void AjouterPositionBis(int ms,int ID,double X,double Y,double Angle,double AngleV,bool* Touches);
	void ObtenirPosition(perso *Perso);
	void MiseAjourPosition(int msPassees);
};

#endif